Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06529 Crash/Freeze Critical (emulation) Always Mar 29, 2017, 23:58 Oct 22, 2022, 22:20
Tester StHiryu View Status Public Platform MAME (Unofficial Binary)
Assigned To holub Resolution Reopened OS Windows Vista/7/8 (64-bit)
Status [?] Assigned Driver
Version 0.184 Fixed in Version 0.244 Build 64-bit
Fixed in Git Commit c1f32bb Github Pull Request # #9670
Summary MESS-specific 06529: spec128 ( strider): Finishing Stage 2, the computer resets into the main menu
Description After reaching the top section of the level, the level stage clear message appears and then the computer reboots. This bring me memories with my amstrad cpc when there was a read error from the cassete :)

Tested in ZxSpin emu, the game doesn't hang. The tzx image used is Strider (1989)(US Gold - Capcom)(128k) from planetemu.net, couldn't find another tzx or dsk image since the distribution of the game is denied.

Attached a save state finishing the second stage.
Steps To Reproduce 1-Launch spec128 at 0.184 with the tzx image
2-highlight TAPE LOADER and press intro
3-TAB, TAPE CONTROL, Press play and wait the game to load.
4-Load the savestate using F7 and then the M key (Don't forget to enable the keyboard emulation)
5-When the state is loaded, sometimes a white border appears instead the black one (This may bring us to a crash, so you can kill yourself, and load the state again at the title screen with the black border).
6-Walk to the right pressing p and wait until the game crashes.
Additional Information Get the tzx image from http://www.planetemu.net/rom/sinclair-zx-spectrum-tzx/strider-1989-us-gold-capcom-128k

Provided a save state
Github Commit
Flags
Regression Version
Affected Sets / Systems spec128 (strider)
Attached Files
zip file icon sta.zip (57,749 bytes) Mar 29, 2017, 23:58 Uploaded by StHiryu
zip file icon strider_snapshot.zip (113,330 bytes) May 13, 2022, 23:50 Uploaded by ICEknight
Snapshots for Spectrum 128K/+2
Relationships
There are no relationship linked to this issue.
Notes
14
User avatar
No.13751
B2K24
Senior Tester
Mar 31, 2017, 04:18
Confirmed using the save state.
User avatar
No.16737
ICEknight
Tester
Aug 10, 2019, 20:25
I can confirm that this is not a problem with the dumps since the same happens in both softlist entries (strider and striderk). Also, the third level is accessible in 48K mode, where you have to load each of them separately as you progress.

Curiously, this game also resets in ZXDS but after finishing level 4 instead (also in both dumps).
User avatar
No.20177
StHiryu
Tester
May 11, 2022, 18:26
edited on: May 11, 2022, 18:51
Fixed with latest Holub's changes.

Edit. Using spec128 the game crashes at the end of the Level 1. However using specpl3e (the model I play usually), the game won't crash. So I suppose each model has different cfg or timings.

Anyway, It's solved for me.
User avatar
No.20180
ICEknight
Tester
May 13, 2022, 23:51
edited on: May 14, 2022, 16:45
Added a couple of snapshots for the 128K/+2 models, saved right before the new (according to this reported issue) crash happens, when Level 2 shoud start.
User avatar
No.20181
StHiryu
Tester
May 14, 2022, 01:06
Not a new crash since that one always happened at spec128, but is good to remark it.
User avatar
No.20566
ICEknight
Tester
Sep 25, 2022, 20:45
This specific issue hasn't been fixed and shouldn't be marked as Resolved, regardless of the game now working on a different driver.
User avatar
No.20569
Robbbert
Senior Tester
Sep 26, 2022, 00:32
You can either reopen it, or make a new report.
User avatar
No.20570
ICEknight
Tester
Sep 26, 2022, 09:46
Can't reopen it, it's not my report.
User avatar
No.20571
Robbbert
Senior Tester
Sep 26, 2022, 12:00
Reopened for you.
User avatar
No.20572
Haze
Senior Tester
Sep 26, 2022, 13:42
edited on: Sep 26, 2022, 13:43
wouldn't surprise me if it turns out the game is buggy on a real spec128 or something, especially with how close the timings are now, although given the number of other floppy games that still have issues, there's almost certainly room for error in the code there which could affect timings enough.
User avatar
No.20587
holub
Tester
Oct 5, 2022, 14:10
edited on: Oct 5, 2022, 15:00
This behavior is (more likely) valid failure for spec128 and not issue in MAME.

I did couple experiments which allowed to restore saved stated:
* reconfigured contention patterns in 128 similar to +3
* manually skip single INT which leads to jump at #0000
User avatar
No.20594
ICEknight
Tester
Oct 8, 2022, 19:14
edited on: Oct 8, 2022, 21:42
I've just managed to load the Erbe Software release from the TOSEC set (with turbo load for levels only) on a real UK Spectrum +2, and it can be played up to level 4 just like in ZXDS. This version also makes MAME reset right after level 1 is finished.
User avatar
No.20595
ICEknight
Tester
Oct 8, 2022, 21:42
edited on: Oct 9, 2022, 19:17
One thing that might be of note is that this game shows some "snow effect" on screen, on real 128K hardware.

Here's a video I've just recorded from a real UK Spectrum +2, showing how the game only resets (and proceeds to display a very noticeable snow effect) after finishing Level 4:

(I've also uploaded a few more gameplay videos to the same channel, but this one's the longest)

Note that, right before the "Level 2" title card, some of this snow effect always appears briefly on the HUD, momentarily freezes and then continues again for a bit before the message is shown. This doesn't seem to happen with the other level titles, might be related with the reason for MAME resetting the emulation right there.
User avatar
No.20658
ICEknight
Tester
Oct 22, 2022, 22:20
edited on: Oct 23, 2022, 02:49
Here's some direct footage I just took the opportunity to capture:

Points where MAME resets:
- 04:24
- 12.05
- 16:58

Point where it should reset:
- 23:43

By the way, this report's title should have "finishing Level 1", since that's where it resets currently (also, I guess that would make my report a duplicate: https://mametesters.org/view.php?id=8322).